Subject: bug#25169: 26.0.50; display-buffer doesn't set window width correctly

From: Liu Hui <[email-masked]>
Date: Mon, 12 Dec 2016 12:53:08 +0800

> Recipe 1 is difficult to reproduce here.  I made my initial frame 169
> columns wide to get a side-by-side split when displaying aaa and to
> _not_ get another side-by-side split when displaying bbb.  What happens
> is that ‘display-buffer-pop-up-window’ refuses to make a new window for
> bbb (you can reduce the value of ‘split-width-threshold’ to get a split)
> so ‘display-buffer’ rather uses aaa's window to display bbb via
> ‘display-buffer-use-some-window’.  The latter ignores the ‘window-width’
> entry but applies ‘window--even-window-sizes’ instead.
>
> So this is not a bug but admittedly a very confusing sequence of events.

I see. Thanks for the explanation.

> This is a bug and I attached a fix for it.  Please try it.
>
> Note, however, that in general you can rely on Emacs to preserve the
> size of a window like that of aaa in recipe 2 if and only if you run
> ‘window-preserve-size’ on that window - either explicitly or via a
> `preserve-size' argument.

The problem is fixed. Thanks again!

> (BTW: Does the ibuffer scenario from bug#25115 work orderly now?)

Yes, and I'll add some information in that thread.